    @extends('admin.layout.dashboard-template')
    @section('content')
    <style>
        .slot-btn {
            margin-bottom: 10px;
        }

        .slot-btn:hover {
            background: #fbd500;
        }

        .follow-group {
            width: 92%;
        }

        .names-profiles h4 {
            color: #fff;
        }

        .names-profiles h5 {
            color: #caccda;
        }
    </style>
    <div class="page-wrapper">
        <div class="content">

            <div class="page-header">
                <div class="row">
                    <div class="col-sm-6">
                        <ul class="breadcrumb">
                            <!-- <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Doctors </a></li>
                            <li class="breadcrumb-item"><i class="feather-chevron-right"></i></li> -->
                            <li class="breadcrumb-item"><a href="{{route('admin.appoinments')}}">Appoinments </a></li>
                            <li class="breadcrumb-item"><i class="feather-chevron-right"></i></li>
                            <li class="breadcrumb-item active">Appoinment Details</li>
                        </ul>
                    </div>

                    <div class="col-lg-6 col-md-6 d-flex align-items-center">
                        <div class="follow-btn-group">
                            <button type="submit" class="btn btn-info follow-btns" data-bs-toggle="modal" data-bs-target="#transferSheduleModal" style="margin-right:8px;">Transfer Appoinment</button>
                            <button type="submit" class="btn btn-success " data-bs-toggle="modal" data-bs-target="#reshedulemodal">Reshedule Appoinment</button> &nbsp;&nbsp;
                            <div class="btn-group">
                                <button type="button" title="Change Status" class="btn btn-danger dropdown-toggle" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Change Status</button>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item changeStatus" data-value="Awaiting" href="#">Awaiting</a>
                                    <a class="dropdown-item changeStatus" data-value="Confirm" href="#">Confirm</a>
                                    <a class="dropdown-item changeStatus" data-value="Cancel" href="#">Cancel</a>
                                    <a class="dropdown-item changeStatus" data-value="Completed" href="#">Completed</a>
                                    <a class="dropdown-item changeStatus" data-value="Resheduled" href="#">Resheduled</a>
                                    <a class="dropdown-item changeStatus" data-value="Rejected" href="#">Rejected</a>
                                </div>
                            </div>
                            &nbsp;&nbsp;
                            <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#delete_patient" class="btn btn-info message-btns">Delete Appoinment</a>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <!-- <div class="about-info">
                                        <h4>Doctor Profile <span><a href="javascript:;"><i class="feather-more-vertical"></i></a></span></h4>
                                    </div> -->
                                    <div class="doctor-profile-head">
                                        <!-- <div class="profile-bg-img">
                                            <img src="assets/img/profile-bg.jpg" alt="Profile">
                                        </div> -->
                                        @php

                                        $type = App\Models\CallMethods::where('id', $data->Appointment_Type)->pluck('name')->first();
                                        if ($data->therapist->image != NULL) {
                                        $img = asset('assets/uploads/therapist/' . $data->therapist->image);
                                        } else {
                                        if ($data->therapist->gender == 'MALE') {
                                        $img = asset('assets/img/male-avatar.jpg');
                                        } else {
                                        $img = asset('assets/img/female-avatar.webp');
                                        }
                                        }

                                        @endphp
                                        <div class="row">
                                            <div class="col-lg-6 col-md-4" style="background:#081269;">
                                                <div class="profile-user-box">
                                                    <div class="profile-user-img">
                                                        <img src="{{$img}}" alt="Profile">
                                                        <div class="form-group doctor-up-files profile-edit-icon mb-0">
                                                            <div class="uplod d-flex">

                                                                <!-- <label class="file-upload profile-upbtn mb-0">
                                                                    <img src="{{$img}}" alt="Profile"></i><input type="file">
                                                                </label> -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="names-profiles">
                                                        <h4>{{$data->therapist->prefix}} {{$data->therapist->full_name }}</h4>
                                                        <h5>{{$data->therapist->designation}}</h5>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-4 d-flex align-items-center" style="background:#ffcf00;">
                                                <div class="follow-group">
                                                    <div class="doctor-follows">
                                                        <img src="{{asset('assets/img/icons/menu-icon-05.svg')}}" alt="calender">
                                                        <h4>{{date('d M Y', strtotime($data->Appointment_Date))}}</h4>
                                                    </div>
                                                    <div class="doctor-follows">
                                                        <img src="{{asset('assets/img/icons/menu-icon-14.svg')}}" alt="calender">
                                                        <h4>{{$data->Appointment_Time}}</h4>
                                                    </div>
                                                    <div class="doctor-follows">
                                                        <img src="{{asset('assets/img/icons/chat-icon-01.svg')}}" alt="calender">
                                                        <h4>{{$type}}</h4>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="doctor-personals-grp">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="heading-detail tab-content-set">
                                            <h4 class="mb-3"> <img src="{{asset('assets/img/icons/menu-icon-05.svg')}}" alt="calender"> Appoinment Details</h4>
                                            <!-- <p>Hello I am Dr. Bruce Willis a Gynaecologist in Sanjivni Hospital Surat. I love to work with all my hospital staff and seniour doctors.</p> -->
                                        </div>
                                        <div class="about-me-list">
                                            <ul class="list-space">
                                                <li>
                                                    <h4>User</h4>
                                                    @php
                                                    if ($data->user->image != NULL) {
                                                    $img = asset('assets/uploads/user/' . $data->user->image);
                                                    } else {
                                                    if ($data->user->gender == 'MALE') {
                                                    $img = asset('assets/img/male-avatar.jpg');
                                                    } else {
                                                    $img = asset('assets/img/female-avatar.webp');
                                                    }
                                                    }
                                                    @endphp
                                                    <span>
                                                        <div class=" d-flex align-items-center">
                                                            <div class="img-users call-user">
                                                                <a href=""><img src="{{$img }}" alt="img"></a>
                                                            </div>
                                                            <div class="chat-users">
                                                                <div class="user-titles d-flex">
                                                                    <h5>{{$data->user->First_Name }} {{$data->user->Last_Name}} </h5>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </span>
                                                </li>
                                                <li>
                                                    <h4>Status</h4>
                                                    <span><button class="custom-badge status-pink">{{date('d M Y', strtotime($data->Appointment_Status)) }}</button>
                                                    </span>
                                                </li>
                                                <li>
                                                    <h4>Date</h4>
                                                    <span>{{date('d M Y', strtotime($data->Appointment_Date)) }}</span>
                                                </li>
                                                <li>
                                                    <h4>Time</h4>
                                                    <span>{{ $data->Appointment_Time}}</span>
                                                </li>
                                                <li>
                                                    <h4>Type</h4>
                                                    <span>{{ $type }}</span>
                                                </li>
                                                <li>
                                                    <h4>Booked Date</h4>
                                                    <span>{{$data->Appointment_Status }}</span>
                                                </li>

                                                <li>
                                                    <h4>Booked Time</h4>
                                                    <span>{{ $data->Appointment_Booked_Time}}</span>
                                                </li>
                                                <li>
                                                    <h4>Service</h4>
                                                    <span>{{ $data->service->service_name}}</span>
                                                </li>
                                                <li>
                                                    <h4>Fee</h4>
                                                    <span>{{ $data->fee}}</span>
                                                </li>
                                                @if($data->package_id)
                                                <li>
                                                    <h4>Package</h4>
                                                    <span><a href="{{route('admin.view-packages', ['slug' => $data->package->slug])}}" target="_blank">{{ $data->package->title}}</a></span>
                                                </li>
                                                @endif
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            @if(count($data->review)>0)


                            <div class="doctor-personals-grp">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="tab-content-set">
                                            <ul class="nav">
                                                <li>
                                                    <a href="javascript:void(0);" class="active"><span class="set-about-icon me-2">
                                                            <img src="{{asset('assets/img/icons/doctor-dash-02.svg')}}" alt></span>Review</a>
                                                </li>

                                            </ul>
                                        </div>
                                        <div class="personal-list-out">
                                            <div class="row">

                                                @foreach($data->review as $item)
                                                <div class="treat-box mb-2">
                                                    <div class="user-imgs-blk">

                                                        <div class="active-user-detail flex-grow-1">
                                                            @for ($i = 0; $i < $item->rate; $i++)
                                                                <i class="fa-solid fa-star m-r-5 status-orange"></i>
                                                                @endfor
                                                                @if($item->rate < 5) @php $bal=5 - $data->rate;
                                                                    @endphp
                                                                    @for ($i = 0; $i < $bal; $i++) <i class="fa-solid fa-star m-r-5"></i>
                                                                        @endfor
                                                                        @endif
                                                                        <div class="hello-park">
                                                                            <p>{{$item->comment}}</p>
                                                                        </div>
                                                        </div>
                                                    </div>
                                                    <small>{{$item->created_at}}</small>
                                                </div>


                                                @endforeach
                                                <!-- <div class="hello-park">
                                                   
                                                </div> -->
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            @endif
                        </div>
                        <div class="col-lg-6">
                            <div class="doctor-personals-grp">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="tab-content-set">
                                            <ul class="nav">
                                                <li>
                                                    <a class="active"><span class="set-about-icon me-2">
                                                            <img src="{{asset('assets/img/icons/doctor-dash-02.svg')}}" alt></span>Consultation Note</a>
                                                </li>

                                            </ul>
                                        </div>
                                        <div class="personal-list-out">
                                            <div class="row">
                                                <div class="hello-park">
                                                    @if($data->consultationNote)
                                                    {{$data->prescription->note}}
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="doctor-personals-grp">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="tab-content-set">
                                            <ul class="nav">
                                                <li>
                                                    <a href="javascript:void(0);" class="active"><span class="set-about-icon me-2">
                                                            <img src="{{asset('assets/img/icons/doctor-dash-02.svg')}}" alt></span>Prescription Note</a>
                                                </li>

                                            </ul>
                                        </div>
                                        <div class="personal-list-out">
                                            <div class="row">
                                                <div class="hello-park">
                                                    @if($data->consultationNote)
                                                    {{$data->consultationNote->note}}
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div id="reshedulemodal" class="modal fade" role="dialog">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">Reshedule Appoinment</h3>

                    </div>
                    <div class="modal-body text-center">
                        <form method="post" action="{{ route('admin.reshedule-appoinment') }}">
                            <!-- <form id="reshedule_form" action="{{ route('admin.reshedule-appoinment') }}"> -->
                            @csrf
                            <div class="row">
                                <div class="doctor-table-blk mb-3">
                                    <h3>Select Date and Time</h3>
                                </div>

                                <div class="col-12 col-md-6 col-xl-6">
                                    <div class="form-group local-forms row">

                                        @php

                                        $booking_date = str_replace('-', '/', $data->Appointment_Date);

                                        $booking_date = date("d/m/Y", strtotime($booking_date));
                                        @endphp
                                        <input class="form-control datetimepicker" name="booking_date" value="{{$booking_date}}" type="text" placeholder>
                                        <input type="hidden" name="slot_id">
                                        <input type="hidden" name="slot">
                                        <input type="hidden" name="appoinment_id" value="{{$data->id}}">
                                    </div>
                                    <div class="form-group local-forms row">
                                        <button class="btn btn-info search_slot">Search Slots</button>
                                    </div>
                                </div>

                                <div class="col-sm-6 col-lg-6 col-xl-6 d-flex">
                                    <div class="row text-center" id="slot-div" style="width:100%;">

                                    </div>
                                </div>



                            </div>
                            <!-- <div class="row m-t-20">
                                <div class=" col-12 col-md-12 col-xl-12">
                                    <div class="form-group local-forms">
                                        <label>Specialization<span class="login-danger">*</span></label>
                                        <input class="form-control" required name="tag" type="text">
                                    </div>
                                </div>
                            </div>-->
                            <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                                <button type="submit" class="btn btn-success ">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="transferSheduleModal" class="modal fade" role="dialog">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">Transfer Appoinment</h3>

                    </div>
                    <div class="modal-body text-center">
                        <form method="post" action="{{ route('admin.reshedule-appoinment') }}">
                            <!-- <form id="reshedule_form" action="{{ route('admin.reshedule-appoinment') }}"> -->
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-12 col-xl-12">
                                    <div class="row text-center" id="search-div">
                                    </div>
                                </div>
                                <div class="doctor-table-blk mb-3">
                                    <h3>Select Date and Time</h3>
                                </div>


                                <div class="col-12 col-md-6 col-xl-6">
                                    <div class="form-group local-forms row">

                                        @php

                                        $booking_date = str_replace('-', '/', $data->Appointment_Date);

                                        $booking_date = date("d/m/Y", strtotime($booking_date));
                                        @endphp
                                        <input class="form-control datetimepicker" name="booking_date_transfer" value="{{$booking_date}}" type="text" placeholder>
                                        <input type="hidden" name="slot_id_transfer">
                                        <input type="hidden" name="slot_transfer">
                                        <input type="hidden" name="therapist_id">
                                        <input type="hidden" name="appoinment_id" value="{{$data->id}}">
                                    </div>
                                    <div class="form-group local-forms row">
                                        <button class="btn btn-info search_slot">Search Slots</button>
                                    </div>
                                </div>

                                <div class="col-sm-6 col-lg-6 col-xl-6 d-flex">
                                    <div class="row text-center" id="slot-div" style="width:100%;">

                                    </div>
                                </div>



                            </div>
                            <!-- <div class="row m-t-20">
                                <div class=" col-12 col-md-12 col-xl-12">
                                    <div class="form-group local-forms">
                                        <label>Specialization<span class="login-danger">*</span></label>
                                        <input class="form-control" required name="tag" type="text">
                                    </div>
                                </div>
                            </div>-->
                            <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                                <button type="submit" class="btn btn-success ">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="delete_patient" class="modal fade delete-modal" role="dialog">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-body text-center">
                        <img src="assets/img/sent.png" alt width="50" height="46">
                        <h3>Are you sure want to delete this ?</h3>
                        <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                            <button type="submit" class="btn btn-danger" id="delete_item">Delete</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    </div>
    <script>
        $(document).on('click', '#delete_item', function(e) {
            var id = "<?php echo $data->id; ?>";
            var url = "{{route('admin.appoinments')}}"
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.delete-appoinment') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {
                    $('#delete_patient').modal('hide');

                    if (result == 1) {
                        toastr.success("Appoinment Deleted Successfully.");
                        window.location.href = url;
                    } else {
                        toastr.error("Something went wrong.");
                    }

                }
            });

        });
        $('body').on('click', '.changeStatus', function(e) {
            var id = "<?php echo $data->id; ?>";
            var status = $(this).data('value');
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.change-appoinment-status') }}",
                method: "GET",
                data: {
                    'id': id,
                    'status': status
                },
                success: function(result) {

                    if (result == 1) {
                        toastr.success("Status Changed Successfully.");
                        location.reload();
                    } else {
                        toastr.error("Something went wrong.");
                    }



                }
            });

        });

        $(document).on('click', ".search_slot", function(e) {
            e.preventDefault();
            bookingDate = $("input[name=booking_date]").val();
            callmethod = "<?php echo $data->Appointment_Type; ?>";
            service = "<?php echo $data->service_id; ?>";
            therapist = "<?php echo $data->therapist_id; ?>";
            slots(bookingDate, callmethod, service, therapist);

        });

        function slots(bookingDate, callmethod, service, therapist) {
            $("#js-loader").fadeIn(300);
            $.ajax({
                url: "{{ route('admin.search-slots') }}",
                method: "GET",
                data: {
                    'bookingDate': bookingDate,
                    'therapist': therapist,
                    'service': service,
                    'callmethod': callmethod
                },
                success: function(result) {
                    $("#js-loader").fadeOut(300);
                    $("input[name=call_type]").val(callmethod);
                    $('#slot-div').html(result);
                    $('#slot-li').addClass('active');
                    $('#slot').addClass('active');
                    $('#consulation').removeClass('active');
                    // booking();
                }
            });

            $(document).on('click', ".slot-btn", function(e) {
                e.preventDefault();
                slot_id = $(this).data('id');
                slot = $(this).data('value');

                $("input[name=slot_id]").val(slot_id);
                $("input[name=slot]").val(slot);
            });

        }
        $(document).ready(function() {
            e.preventDefault();
            bookingDate = $("input[name=booking_date]").val();
            callmethod = "<?php echo $data->Appointment_Type; ?>";
            service = "<?php echo $data->service_id; ?>";
            therapist = "<?php echo $data->therapist_id; ?>";
            slots(bookingDate, callmethod, service, therapist);
        });
        // $('#reshedule_form').submit(function(e) {
        //     e.preventDefault();
        //     var url = $(this).attr("action");
        //     let formData = new FormData(this);
        //     $("#js-loader").fadeIn();
        //     $.ajax({
        //         type: 'POST',
        //         url: url,
        //         data: formData,
        //         contentType: false,
        //         processData: false,
        //         success: function(result) {
        //             $("#js-loader").fadeOut();
        //             if (result.status == true) {
        //                 toastr.success(result.data);
        //             } else if (result.status == false) {
        //                 toastr.error(result.data);
        //             }
        //         },
        //         error: function(err) {
        //             // Your Error Message
        //             toastr.error(err.data);
        //         }
        //     });
        // });

        $(document).ready(function() {
            // $("#js-loader").fadeIn(300);
            var service_id = "<?php echo $data->service->id; ?>";
            var therapist_id = "<?php echo $data->therapist_id; ?>";
            $.ajax({
                url: "{{ route('admin.search-therapist-for-transfer') }}",
                method: "GET",
                data: {
                    'service_id': service_id,
                    'therapist_id': therapist_id
                },
                success: function(result) {
                    //    $("#js-loader").fadeOut(300);
                    $('#search-div').append(result);
                }
            });


            // booking();
        });

        $(document).on('click', '.therapist', function(e) {
            e.preventDefault();
            therapist_id = $(this).data('id');
            $("input[name=therapist_id]").val(therapist_id);
            bookingDate = $("input[name=booking_date_transfer]").val();
            alert(bookingDate);
            alert(therapist_id = $(this).data('id'));
            callmethod = "<?php echo $data->Appointment_Type; ?>";
            service = "<?php echo $data->service_id; ?>";
            therapist = therapist_id;

            slots(bookingDate, callmethod, service, therapist);
        });
    </script>
    @endsection